## eclipse 2.1.3

=== org.eclipse.core.resources.hpux/src/Makefile ===
# makefile for libcore.sl

CORE.C = core.c
CORE.O = core.o
LIB_NAME = libcore.sl
LIB_NAME_FULL = libcore_2_1_0a.sl

core :
	cc +z -c +O3 +DD32 +DS2.0 -I$(JDK_INCLUDE)/hp-ux -I$(JDK_INCLUDE) $(CORE.C) -o $(CORE.O)
	ld -b -o $(LIB_NAME_FULL) $(CORE.O) -lc

clean :
	rm *.o

=== org.eclipse.core.resources.linux/src/Makefile ===
# makefile for libcore.so

CORE.C = core.c
CORE.O = core.o
LIB_NAME = libcore.so
LIB_NAME_FULL = libcore_2_1_0a.so

core :
	gcc -fPIC -g -c -I$(JDK_INCLUDE) $(CORE.C) -o $(CORE.O)
	gcc -g -shared -Wl,-soname,$(LIB_NAME) -o $(LIB_NAME_FULL) $(CORE.O) -lc

clean :
	rm *.o

=== org.eclipse.core.resources.macosx/src/Makefile ===
#**********************************************************************
# Copyright (c) 2000, 2003 IBM Corp.  All rights reserved.
# This file is made available under the terms of the Common Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/cpl-v10.html
#**********************************************************************
#
# Makefile for libcore on MacOS X


LIB_NAME = libcore_2_1_0a.jnilib

core:
	cc -I /System/Library/Frameworks/JavaVM.framework/Headers core.c -o $(LIB_NAME) -bundle -framework JavaVM

clean:
	rm *.o

## eclipse 3.1.1

=== org.eclipse.core.resources.linux/src/Makefile ===
#**********************************************************************
# Copyright (c) 2000, 2004 IBM Corporation and others.
# All rights reserved. This program and the accompanying materials 
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#********************************************************************** 
#
# makefile for libcore.so

CORE.C = core.c
CORE.O = core.o
LIB_NAME = libcore.so
LIB_NAME_FULL = libcore_3_1_0.so

#Set this to be your OS type
OS_TYPE = linux

#Set this to be the location of your JRE
JAVA_HOME = ~/vm/sun142

JDK_INCLUDE = -I ${JAVA_HOME}/include -I ${JAVA_HOME}/include/${OS_TYPE}

core :
	gcc -fPIC -g -c $(JDK_INCLUDE) -o $(CORE.O) $(CORE.C)
	gcc -g -shared -Wl,-soname,$(LIB_NAME) -o $(LIB_NAME_FULL) $(CORE.O) -lc

clean :
	rm *.o

=== org.eclipse.core.resources.macosx/src/Makefile ===
#**********************************************************************
# Copyright (c) 2000, 2005 IBM Corporation and others.
# All rights reserved. This program and the accompanying materials 
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#********************************************************************** 
#
# makefile for libcore on MacOS X


LIB_NAME = libcore_3_1_0.jnilib

core:
	cc -I /System/Library/Frameworks/JavaVM.framework/Headers core.c -o $(LIB_NAME) -bundle -framework JavaVM -framework CoreServices
	mv $(LIB_NAME) ../os/macosx/ppc

clean:
	rm *.o

## eclipse 3.1.2

=== org.eclipse.core.resources.qnx/src/Makefile ===
# makefile for libcore.so

CORE.C = core.c
CORE.O = core.o
LIB_NAME = libcore.so
LIB_NAME_FULL = libcore_2_1_0b.so

core :
	qcc -Wall -O3 -shared -c -I$(IVE_HOME)/include $(CORE.C) -o $(CORE.O)
	qcc -Wall -O3 -shared -Wl,-soname,$(LIB_NAME) -o $(LIB_NAME_FULL) $(CORE.O)

clean :
	rm -f *.o *.so

## eclipse 3.5.1+repack~1

=== eclipse-3.5.1/plugins/org.eclipse.core.filesystem/natives/macosx/Makefile ===
#**********************************************************************
# Copyright (c) 2000, 2009 IBM Corporation and others.
# All rights reserved. This program and the accompanying materials 
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#********************************************************************** 
#
# makefile for libcore on MacOS X


LIB_NAME = liblocalfile_1_0_0.jnilib

core:
	cc -I /System/Library/Frameworks/JavaVM.framework/Headers localfile.c -o $(LIB_NAME) -bundle -framework JavaVM -framework CoreServices -arch i386 -arch ppc -arch x86_64

clean:
	rm *.o

## eclipse 3.5.2

=== plugins/org.eclipse.core.filesystem/natives/macosx/Makefile ===
#**********************************************************************
# Copyright (c) 2000, 2009 IBM Corporation and others.
# All rights reserved. This program and the accompanying materials 
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#********************************************************************** 
#
# makefile for libcore on MacOS X


LIB_NAME = liblocalfile_1_0_0.jnilib

core:
	cc -I /System/Library/Frameworks/JavaVM.framework/Headers localfile.c -o $(LIB_NAME) -bundle -framework JavaVM -framework CoreServices -arch i386 -arch ppc -arch x86_64 -mmacosx-version-min=10.4

clean:
	rm *.jnilib

=== plugins/org.eclipse.core.filesystem/natives/unix/aix/Makefile ===
#**********************************************************************
# Copyright (c) 2009 IBM Corporation and others.
# All rights reserved. This program and the accompanying materials 
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#********************************************************************** 
#
# makefile for liblocalfile.so

CORE.C = ../localfile.c
CORE.O = localfile.o
LIB_NAME_FULL = liblocalfile_1_0_0.a

OS_TYPE=aix
CC=xlC_r
LD=ld
CFLAGS=-O -s -q32 -qwarn64
LDFLAGS=-b32 -G -s -bnoentry -bexpall -lc
JAVA_HOME=
JDK_INCLUDE=-I${JAVA_HOME}/include -I${JAVA_HOME}/include/${OS_TYPE}
COMMON_INCLUDE=-Iinclude

core :
	$(CC) $(CFLAGS) $(JDK_INCLUDE) $(COMMON_INCLUDE) -c $(CORE.C) -o $(CORE.O)
	$(LD) $(LDFLAGS) -o $(LIB_NAME_FULL) $(CORE.O)
clean :
	rm -f *.o *.a

=== plugins/org.eclipse.core.filesystem/natives/unix/linux/Makefile ===
#**********************************************************************
# Copyright (c) 2000, 2009 IBM Corporation and others.
# All rights reserved. This program and the accompanying materials 
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#********************************************************************** 
#
# makefile for libcore.so

CORE.C = ../localfile.c
CORE.O = localfile.o
LIB_NAME = liblocalfile.so
LIB_NAME_FULL = liblocalfile_1_0_0.so

#Set this to be your OS type
OS_TYPE = linux

#Set this to be the location of your JRE
JAVA_HOME = ~/vm/sun142

JDK_INCLUDE = -I ${JAVA_HOME}/include -I ${JAVA_HOME}/include/${OS_TYPE}
COMMON_INCLUDE = -I include
#OPT_FLAGS=-g
OPT_FLAGS=-O -s -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

core :
	gcc $(OPT_FLAGS) -fPIC -c $(JDK_INCLUDE) $(COMMON_INCLUDE) -o $(CORE.O) $(CORE.C)
	gcc $(OPT_FLAGS) -shared -Wl,-soname,$(LIB_NAME) -o $(LIB_NAME_FULL) $(CORE.O) -lc

clean :
	rm -f $(CORE.O) $(LIB_NAME_FULL)

=== plugins/org.eclipse.core.filesystem/natives/unix/solaris/Makefile ===
#**********************************************************************
# Copyright (c) 2000, 2009 IBM Corporation and others.
# All rights reserved. This program and the accompanying materials 
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
# 
# Contributors:
#	IBM Corporation - initial API and implementation
#	Martin Oberhuber (Wind River) - [183137] adapted from Linux for Solaris
#********************************************************************** 
#
# makefile for liblocalfile.so

CORE.C = ../localfile.c
CORE.O = localfile.o
LIB_NAME = liblocalfile.so
LIB_NAME_FULL = liblocalfile_1_0_0.so

#Set this to be your OS type
OS_TYPE = solaris

#Set this to be the location of your JRE
JAVA_HOME = 

JDK_INCLUDE = -I ${JAVA_HOME}/include -I ${JAVA_HOME}/include/${OS_TYPE}
COMMON_INCLUDE = -I include
#Solaris native cc uses -K PIC, gcc uses -fPIC
#To build native, use:     make
#To build with debug, use: make OPT_FLAGS=-g
#To build for SPARC V9, use: make ARCH=v9

PICFLAG=-KPIC
ARCH=v8

CFLAGS = -G -O -s $(PICFLAG) -xarch=$(ARCH) -mt -xregs=no%appl -xstrconst -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
LDFLAGS = -G -O -s $(PICFLAG) -lc -xarch=$(ARCH) -mt -z defs -z text -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64

$(LIB_NAME_FULL) : $(CORE.C)
	$(CC) $(CFLAGS) -c $(JDK_INCLUDE) $(COMMON_INCLUDE) -o $(CORE.O) $(CORE.C)
	$(CC) $(LDFLAGS) -o $(LIB_NAME_FULL) $(CORE.O) -lc

core : $(LIB_NAME_FULL)

clean :
	rm -f $(CORE.O) $(LIB_NAME_FULL)

install : $(LIB_NAME_FULL)
	cp -f $(LIB_NAME_FULL) ../../../../org.eclipse.core.filesystem.solaris.sparc/os/solaris/sparc/

=== debian/changelog ===
eclipse (3.5.2-2ubuntu4.2) lucid-proposed; urgency=low

  * Backported fix for poor tooltip colors with certain themes. (LP: #540332)
  * Backported fix for hover text visability problem.

 -- Niels Thykier <niels@thykier.net>  Fri, 25 Jun 2010 00:43:37 +0200

eclipse (3.5.2-2ubuntu4.1) lucid-proposed; urgency=low

  [ Niels Thykier ]
  * Added Recommends on default-jdk | sun-java6-jdk for eclipse-jdt.
    (LP: #576952)
  * Added patch to deal with broken help-menu. (Closes: #576106, LP: #549904)

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 09 May 2010 00:39:43 +0200

eclipse (3.5.2-2ubuntu4) lucid; urgency=low

  * No source change rebuild to pick up new location of sat4j (LP: #566131).

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 22 Apr 2010 14:38:12 +0200

eclipse (3.5.2-2ubuntu3) lucid; urgency=low

  * Add apport hook to collect more useful data for bug reports.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 15 Apr 2010 21:44:52 +0200

eclipse (3.5.2-2ubuntu2) lucid; urgency=low

  [ Niels Thykier ]
  * Added missing copyright statement about ownership over the Debian packaging.

  [ Benjamin Drung ]
  * Set MOZILLA_FIVE_HOME instead of LD_LIBRARY_PATH and
    org.eclipse.swt.browser.XULRunnerPath (LP: #559229, #553779).

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 13 Apr 2010 02:12:21 +0200

eclipse (3.5.2-2ubuntu1) lucid; urgency=low

  * Set org.eclipse.swt.browser.XULRunnerPath explicitly. (LP: #546518)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 25 Mar 2010 20:22:03 +0100

eclipse (3.5.2-2) unstable; urgency=low

  [ Niels Thykier ]
  * Changed section of eclipse packages to devel.
  * Install IJG_README from source dir rather than install dir.
    (Closes: #574619)
  * Added missing replace on eclipse to eclipse-platform-data. (Closes: #574607)
  * Fix broken symlinks in libequinox-osgi-java.
  * Imported ecj-gccmain-java.patch from ecj to add better support for gcj.

  [ Benjamin Drung ]
  * Integrate upstream-eclipse-build-repack.patch from final 0.5.0
    eclipse-build release.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 21 Mar 2010 23:16:41 +0100

eclipse (3.5.2-1) unstable; urgency=low

  * New upstream release. (LP: #123064)
    - Supports xulrunner-1.9.1 (Closes: #507536)
    - Fixed "Software Updates" menu. (Closes: #539016)
  * Converted build system to use eclipse-build 0.5.0. (Closes: #501533)
    - Fixed broken symlink in swt packages. (Closes: #543318)
    - Fixed broken plugins/features. (Closes: #493984)
    - Fixed problem finding native libraries. (Closes: #553131)
    - Fixed build for various archs. (Closes: #521312)
  * Stopped eclipse from unpacking native libraries into ~/.eclipse.
    (Closes: #351729)
  * Corrected Depends and Recommends. (Closes: #554677, #558246)
    - eclipse-jdt now only suggests eclipse.
    - removed strict dependency on openjdk.
    - removed recommends on eclipse-*-gcj packages.
  * Removed obsolete linda overrides.
  * New maintainers. (Closes: #526489)
  * Removed the need for Zenity (Closes: #528070)
  * Added missing "apt" plug-in for eclipse-jdt. (Closes: #403655, LP: #120610)
  * Added conflicts on the old eclipse-*-nls packages. (Closes: #538869)
  * Removed "builtin browser not supported"-warning; it did not work.
    (Closes: #402340, #491542)
  * Removed dependency on libtomcat5.5-java and liblucene-java-doc.
  * Stopped using special hacks and work arounds to find JVMs.
    - This removes the need for ~/.eclipse/eclipserc (Closes: #402077)
    - This makes eclipse read eclipse.ini (Closes: #491334)
    - This makes eclipse respect alternatives (Closes: #353360, #574271)
  * Moved the executable to eclipse-platform from eclipse. (Closes: #358594)
  * Put the osgi jar-files into its own separate package. (LP: #102717)
  * Added workaround for gtk problems. (Closes: #552480)
  * Added missing API references. (Closes: #376850)
  * Moved org.eclipse.ant.ui to eclipse-platform. (LP: #477944)
  * Added information about how to create the orig.tar.gz. (Closes: #505553)
  * Rewrote symlink script to handle folders that are renamed on different
    archs/builds. (LP: #471859)
  * Move eclipse.ini into /etc (LP: #43162)
  * Set a sane file limit for osgi-bundles. (Closes: #558693, LP: #293573)
  * Inject update sites on first run. (LP: #460944)
  * Prevent conflict with swt-gtk's swt packages. (Closes: #541638, LP: #491880)
    - Removed our swt packages.
    - Do not install conflicting symlinks/files.
  * Imported patch from Fedora that fixes seg. faults in libpango. (LP: #445009)
  * Update manpage. (LP: #494065)
  * Bump Standards-Version to 3.8.4.
  * Use system jars rather than pre-compiled ones. (LP: #453036)
  * Added notice to package descriptions that eclipse-pde is needed for most
    plugins. Thanks to Josh Bowman. (LP: #539256)

 -- Debian Orbital Alignment Team <pkg-java-maintainers@lists.alioth.debian.org>  Thu, 18 Mar 2010 12:13:51 +0100

eclipse (3.4.1-1) unstable; urgency=low

  * Build for unstable.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Jul 2009 10:13:56 +0200

eclipse (3.2.2-5) unstable; urgency=low

  * Added junit4 support.
  * Added ant-nodeps.jar to ant classpath. Needed for replaceregexp tag.
  * Simplified debian/rules by removing all JVM_* variables.
  * Updated watch file to match upstream correctly. Closes: #449647.
  * Added Homepage, Vcs-Svn and Vcs-Browser fields.
  * Updated Standards-Version to 3.7.3.
  * debian/eclipse-rcp.dirs. Removed, unneeded.
  * Updated debian/patches/eclipse-jsch-sftpexception.dpatch for jsch 0.1.36.
    Closes: #460364.
  * Updated (Build-)Depends on libjsch-java (>= 0.1.36).
  * Added JAVA_HOME for icedtea to debian/extra/java_home.
  * Add additional Depends on libgtk2.0-0 (>= 2.12.0-3) for libswt3.2-gtk-jni.
  * Added eclipse to Recommends of all plugin packages. Closes: #447202.
  * Added debian/source.lintian-overrides to shut up lintian a bit.
  * Added ${shlibs:Depends} to Depends of all -gcj packages with native jars.



=== debian/control ===
Source: eclipse
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Orbital Alignment Team <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>,
           Benjamin Drung <bdrung@ubuntu.com>,
           Adrian Perez <adrianperez-deb@ubuntu.com>,
           Adnan Hodzic <adnan@foolcontrol.org>
Build-Depends: ant (>= 1.7.1),
               ant-optional,
               debhelper (>= 7.0.50~),
               default-jdk,
               docbook2x,
               junit (>= 3.8.2-4),
               junit4 (>= 4.7-3),
               libasm3-java (>= 3.2-3),
               libatk1.0-dev,
               libcairo2-dev,
               libcommons-codec-java (>= 1.4-2),
               libcommons-el-java (>= 1.0-5),
               libcommons-httpclient-java (>= 3.1-9),
               libcommons-logging-java (>= 1.1.1-6),
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libgnome-vfsmm-2.6-dev,
               libgnomeui-dev,
               libgtk2.0-dev,
               libhamcrest-java (>= 1.1-4),
               libicu4j-java (>= 4.0.1.1),
               libjasper-java,
               libjetty-java (>= 6.1.22),
               libjsch-java (>= 0.1.37-3),
               liblucene2-java (>= 2.9.1+ds1-5),
               libpango1.0-dev,
               libservlet2.5-java (>= 6.0.20-8),
               libxt-dev,
               libxtst-dev,
               lsb-release,
               pkg-config,
               sat4j (>= 2.1.0),
               unzip,
               xulrunner-dev (>= 1.9.1.3-2),
               zip
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/pkg-java/eclipse.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/eclipse.git
Homepage: http://www.eclipse.org/

Package: eclipse
Architecture: all
Depends: eclipse-jdt,
         eclipse-pde,
         ${misc:Depends}
Description: Extensible Tool Platform and Java IDE
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides the whole Eclipse SDK, along with the Java Development
 Tools (JDT) and the Plugin Development Environment (PDE).  Please note that
 many plugins will fail to install if you don't have the eclipse-pde package
 installed.

Package: eclipse-jdt
Architecture: any
Depends: default-jre | java5-runtime | java6-runtime,
         eclipse-platform (= ${binary:Version}),
         eclipse-plugin-cvs (= ${binary:Version}),
         junit (>= 3.8.2-4),
         junit4 (>= 4.7-3),
         libhamcrest-java (>= 1.1-4),
         ${misc:Depends}
Recommends: default-jdk | sun-java6-jdk
Suggests: eclipse
Replaces: eclipse-jdt-gcj
Description: Eclipse Java Development Tools (JDT)
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package includes only the Java Development Tools, which are plug-ins to
 develop Java applications within Eclipse. It includes a complete and powerful
 Java IDE along with several editors, a refactoring engine, Ant and JUnit
 integration, debugger, and many more features.
 .
 Please note that many plugins will fail to install if you don't have the
 eclipse-pde package installed.

Package: eclipse-pde
Architecture: any
Depends: default-jre | java5-runtime | java6-runtime,
         eclipse-jdt (= ${binary:Version}),
         eclipse-platform (= ${binary:Version}),
         libasm3-java (>= 3.2-3),
         ${misc:Depends}
Suggests: eclipse
Replaces: eclipse-pde-gcj
Description: Eclipse Plug-in Development Environment (PDE)
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides tools for easy development of plug-ins for Eclipse.
 .
 Please note that many plugins will fail to install if you don't have the
 eclipse-pde package installed.

Package: eclipse-platform
Architecture: any
Depends: ant (>= 1.7.1),
         ant-optional,
         default-jre | java5-runtime | java6-runtime,
         eclipse-platform-data (>= ${source:Version}),
         eclipse-rcp (= ${binary:Version}),
         java-common (>= 0.23),
         libcommons-codec-java (>= 1.4-2),
         libcommons-el-java (>= 1.0-5),
         libcommons-httpclient-java (>= 3.1-9),
         libcommons-logging-java (>= 1.1.1-6),
         libjasper-java,
         libjetty-java (>= 6.1.22),
         libjsch-java (>= 0.1.37-3),
         liblucene2-java (>= 2.9.1+ds1-5),
         libservlet2.5-java (>= 6.0.20-8),
         sat4j (>= 2.1.0),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Replaces: eclipse-jdt (<< 3.5.1+repack~3),
          eclipse-platform-common,
          eclipse-platform-gcj,
          eclipse-source (<= 3.1.1-3),
          libeclipse-jni
Conflicts: eclipse-platform-common,
           eclipse-source (<= 3.1.1-3),
           libeclipse-jni,
           eclipse-platform-nls,
           eclipse-common-nls
Suggests: eclipse-jdt,
          eclipse-pde
Description: Eclipse platform without plug-ins to develop any language
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides only the Eclipse Platform. It does not include any
 development plug-ins. These are available in different packages:
 .
  * eclipse-jdt Java Development Tools
  * eclipse-pde Plug-in Development Tools
  * eclipse Complete development environment
 .
 This package is the base for all eclipse plug-ins. Please note that many
 plugins will fail to install if you don't have the eclipse-pde package
 installed.

Package: eclipse-platform-data
Architecture: all
Depends: ${misc:Depends}
Replaces: eclipse (<< 3.5.2),
          eclipse-platform (<< 3.5.1+repack~3),
          eclipse-platform-gcj
Description: Eclipse platform without plug-ins to develop any language (data)
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides only the Eclipse Platform. It does not include any
 development plug-ins. These are available in different packages:
 .
  * eclipse-jdt Java Development Tools
  * eclipse-pde Plug-in Development Tools
  * eclipse Complete development environment
 .
 This package is the base for all eclipse plug-ins.
 .
 This package contains the architecture-independent data files.

Package: eclipse-plugin-cvs
Architecture: any
Depends: cvs (>= 1.12.13-8),
         default-jre | java5-runtime | java6-runtime,
         eclipse-platform (= ${binary:Version}),
         ${misc:Depends}
Replaces: eclipse-cvs
Description: Eclipse Team Integration (CVS support)
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package provides CVS support for Source Code Management to the
 Eclipse Team Integration component.

Package: eclipse-rcp
Architecture: any
Depends: default-jre | java5-runtime | java6-runtime,
         libequinox-osgi-java (= ${source:Version}),
         libicu4j-java (>= 4.0.1.1),
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${shlibs:Recommends}
Suggests: eclipse
Replaces: eclipse-rcp-gcj,
          libswt3.2-gtk-java,
          libswt3.2-gtk-gcj,
          libswt3.2-gtk-jni,
          libswt-gtk-3.4-java,
          libswt-gtk-3.4-jni,
          libswt-gtk-3.5-jni (<< 3.5.1+repack)
Description: Eclipse Rich Client Platform (RCP)
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package includes only the Eclipse Rich Client Platform (RCP), which is
 the basis upon other Eclipse-based applications are built. It does not
 include any development plug-ins. These are available on different packages:
 .
  * eclipse-jdt Java Development Tools
  * eclipse-pde Plug-in Development Tools
  * eclipse Complete development environment
 .
 This package is the basis for all Eclipse applications.

Package: libequinox-osgi-java
Architecture: all
Section: java
Depends: default-jre | java5-runtime | java6-runtime,
         ${misc:Depends}
Conflicts: eclipse-rcp (<< 3.5.1-0ubuntu3)
Replaces: eclipse-platform-gcj,
          eclipse-rcp-gcj
Description: Equinox OSGi framework
 The Eclipse Platform is an open and extensible platform for anything and yet
 nothing in particular. It provides a foundation for constructing and running
 integrated software-development tools. The Eclipse Platform allows tool
 builders to independently develop tools that integrate with other people's
 tools so seamlessly you can't tell where one tool ends and another starts.
 .
 This package includes only the Eclipse Equinox OSGi framework, which can
 be used outside Eclipse.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java

# We need this for overriding uname, upstream expects a slightly
# different behaviour than Debian's uname.
export PATH:=$(CURDIR)/debian/extra/bin:$(PATH)

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
ifneq (,$(filter $(DEB_HOST_ARCH_CPU),i386 i486 i586 i686))
	ECLIPSE_BUILD_ARCH=x86
endif
ifneq (,$(findstring $(DEB_HOST_ARCH_CPU),arm))
	ECLIPSE_BUILD_ARCH=arm
endif
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
	ECLIPSE_BUILD_ARCH=x86_64
endif
ifneq (,$(findstring $(DEB_HOST_ARCH_CPU),mips))
	ECLIPSE_BUILD_ARCH=$(DEB_HOST_ARCH)
endif
ifneq (,$(filter $(DEB_HOST_ARCH_CPU),parisc parisc64))
	ECLIPSE_BUILD_ARCH=PA_RISC
endif
ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
	ECLIPSE_BUILD_ARCH=ppc
endif
ifeq ($(ECLIPSE_BUILD_ARCH),)
	ECLIPSE_BUILD_ARCH=$(DEB_HOST_ARCH_CPU)
endif

%:
	dh --with xulrunner $@

override_dh_auto_clean:
	ant distclean

override_dh_auto_build:
	ant -DbuildArch=$(ECLIPSE_BUILD_ARCH)

override_dh_auto_install:
	ant install -Dprefix=/usr -DdestDir=$(CURDIR)/debian/tmp -DbuildArch=$(ECLIPSE_BUILD_ARCH)

JNI_SO_PATH = debian/eclipse-rcp/usr/lib/eclipse/configuration/org.eclipse.osgi/bundles/*/1/.cp
LAUNCHER_LIB = debian/eclipse-rcp/usr/lib/eclipse/plugins/org.eclipse.equinox.launcher.*/eclipse_*.so

override_dh_shlibdeps:
	dh_shlibdeps -peclipse-rcp -l$(JAVA_HOME)/jre/lib/$(DEB_HOST_ARCH_CPU) \
		-- -dDepends \
			$(JNI_SO_PATH)/libswt-gtk-*.so \
			$(JNI_SO_PATH)/libswt-atk-gtk-*.so \
			$(JNI_SO_PATH)/libswt-awt-gtk-*.so \
			$(JNI_SO_PATH)/libswt-cairo-gtk-*.so \
			$(JNI_SO_PATH)/libswt-pi-gtk-*.so \
			$(JNI_SO_PATH)/libswt-xpcominit-gtk-*.so \
			$(JNI_SO_PATH)/libswt-xulrunner-gtk-*.so \
			$(shell find $(JNI_SO_PATH) -name '*.so' | grep -v libswt-) \
			$(LAUNCHER_LIB) \
		-dRecommends \
			$(JNI_SO_PATH)/libswt-gnome-gtk-*.so \
			$(JNI_SO_PATH)/libswt-glx-gtk-*.so
	dh_shlibdeps --remaining-packages

unapply-patches:
	for P in `tac debian/patches/series` ; do \
		patch -p1 -R < debian/patches/$$P || exit 1;\
	done

apply-patches:
	for P in `cat debian/patches/series` ; do \
		patch -p1 < debian/patches/$$P || exit 1;\
	done

refresh-patches: unapply-patches
	for P in `cat debian/patches/series` ; do \
		(QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null push || test $$? = 2) || exit 1 ;\
		QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null refresh -p ab --no-index --no-timestamps || exit 1 ;\
	done
	rm -fr .pc

# TODO: Turn all commands below this comment into patches and send them to eclipse-build.

# This has to go in an arch package, as some of the version numbers
# depend on which arch it was build one.
COPY_PLATFORM:=/usr/lib/eclipse/buildscripts/copy-platform
COPY_PLATFORM_INSTALL:=debian/tmp$(COPY_PLATFORM)
PDEBUILD_INSTALL:=debian/tmp/usr/lib/eclipse/buildscripts/pde-build

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
BUILD_TAG := $(shell grep ^buildTag= build.properties | sed "s/^buildTag=//")
SOURCE_DIR := $(CURDIR)/build/eclipse-$(UPSTREAM_VERSION)-src
RESULT_DIR := $(SOURCE_DIR)/installation/
DEBIAN_PACK_LIBDIR := $(CURDIR)/debian/tmp/usr/lib/eclipse
PROFILE_ID := PlatformProfile

LAUNCHERVERSION = $(shell ls $(DEBIAN_PACK_LIBDIR)/plugins | grep equinox.launcher_ | sed 's/org.eclipse.equinox.launcher_//')
PDEBUILDVERSION = $(shell ls $(DEBIAN_PACK_LIBDIR)/plugins | grep org.eclipse.pde.build_ | sed 's/org.eclipse.pde.build_//')
UPSTREAM_VERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | sed "s/+repack.*$$//")

XULVERSION := $(shell pkg-config --modversion libxul)
XULVERSION_STRIP1 := $(shell echo $(XULVERSION) | sed "s/\.[^\.]*$$//")
XULVERSION_STRIP2 := $(shell echo $(XULVERSION_STRIP1) | sed "s/\.[^\.]*$$//")
XULRUNNER := $(shell if which xulrunner-$(XULVERSION) > /dev/null 2>&1; then which xulrunner-$(XULVERSION); \
	elif which xulrunner-$(XULVERSION_STRIP1) > /dev/null 2>&1; then which xulrunner-$(XULVERSION_STRIP1); \
	elif which xulrunner-$(XULVERSION_STRIP2) > /dev/null 2>&1; then which xulrunner-$(XULVERSION_STRIP2); fi)

override_dh_install:
	# Turn all following commands into patches and send them to eclipse-build
	# Remove some bad arguments that causes eclipse to fail
	perl -i -ne 'print $$_ unless(m/^-XX/);' debian/tmp/etc/eclipse.ini
	# Replace symlink with a copy - The absolute symlink causes eclipse to fail
	# and some of the commands attempt to modify eclipse.ini.
	rm -f debian/tmp/usr/lib/eclipse/eclipse.ini
	cp -f debian/tmp/etc/eclipse.ini debian/tmp/usr/lib/eclipse/
	# move images from /usr/lib to /usr/share
	cd debian/tmp/usr && find lib/ -type f \( -name '*.bmp' -o -name '*.gif' -o -name '*.jpg' -o -name '*.png' \) | perl ../../../debian/extra/imagemv.pl
	rm -fr $(DEBIAN_PACK_LIBDIR)/p2/
	# Generate metadata and extract the swt libraries.
	cd debian/tmp && java \
			-cp $(DEBIAN_PACK_LIBDIR)/plugins/org.eclipse.equinox.launcher_$(LAUNCHERVERSION) \
			org.eclipse.core.launcher.Main \
			-application \
			org.eclipse.equinox.p2.metadata.generator.EclipseGenerator \
			-debug -consolelog \
			-metadataRepository file:$(DEBIAN_PACK_LIBDIR)/metadata/ \
			-artifactRepository file:$(DEBIAN_PACK_LIBDIR)/metadata/ \
			-source $(DEBIAN_PACK_LIBDIR) \
			-root "Eclipse Platform" \
			-rootVersion $(UPSTREAM_VERSION) \
			-flavor tooling \
			-publishArtifacts \
			-data $(CURDIR)/workspace \
			-append \
			-artifactRepositoryName "Eclipse Platform" \
			-metadataRepositoryName "Eclipse Platform"
	cd debian/tmp && java \
			-Declipse.p2.data.area=file:$(DEBIAN_PACK_LIBDIR)/p2 \
			-Declipse.p2.MD5Check=false \
			-cp $(DEBIAN_PACK_LIBDIR)/plugins/org.eclipse.equinox.launcher_$(LAUNCHERVERSION) \
			org.eclipse.core.launcher.Main \
			-application \
			org.eclipse.equinox.p2.director \
			-debug -consolelog \
			-flavor tooling \
			-installIU "Eclipse Platform" \
			-p2.os linux \
			-p2.ws gtk \
			-p2.arch $(ECLIPSE_BUILD_ARCH) \
			-roaming \
			-data $(CURDIR)/workspace \
			-profile $(PROFILE_ID) \
			-profileProperties org.eclipse.update.install.features=true \
			-metadataRepository file:$(DEBIAN_PACK_LIBDIR)/metadata/ \
			-artifactRepository file:$(DEBIAN_PACK_LIBDIR)/metadata/ \
			-destination $(DEBIAN_PACK_LIBDIR) \
			-bundlepool $(DEBIAN_PACK_LIBDIR)
	cd debian/tmp && java -Dosgi.sharedConfiguration.area=$(DEBIAN_PACK_LIBDIR)/configuration \
			-cp $(DEBIAN_PACK_LIBDIR)/plugins/org.eclipse.equinox.launcher_$(LAUNCHERVERSION) \
			org.eclipse.core.launcher.Main \
			-debug -consolelog \
			-data $(CURDIR)/workspace \
			-metadataRepository file:$(DEBIAN_PACK_LIBDIR)/metadata \
			-artifactRepository file:$(DEBIAN_PACK_LIBDIR)/metadata \
			-application org.eclipse.equinox.initializer.configInitializer \
			-fileInitializer $(CURDIR)/debian/extract_patterns.txt
	# Normalize the paths.
	grep --exclude-from=debian/exclude_patterns.txt -l -I -r debian/tmp debian/tmp/ | xargs sed -i s@$(CURDIR)/debian/tmp@@g
	TO_CORRECT=`echo $(CURDIR)/debian/tmp | sed s@/@_@g` ; grep --exclude-from=debian/exclude_patterns.txt \
	        -l -I -r debian_tmp debian/tmp/ | xargs sed -i s@$${TO_CORRECT}@@g
	# remove extra licence file
	rm -f debian/tmp/usr/lib/eclipse/plugins/org.apache.ant_*/about_files/LICENSE.sax.txt
	# wrapper script for setting MOZILLA_FIVE_HOME
	$(if $(XULRUNNER),,$(error Cannot find xulrunner version))
	rm -f debian/tmp/usr/bin/eclipse
	sed "s|@XULRUNNER@|$(XULRUNNER)|" debian/extra/eclipse > debian/tmp/usr/bin/eclipse
	chmod 755 debian/tmp/usr/bin/eclipse
	# Correct the profile in config.ini - else eclipse will refuse to open the update/install menus.
	sed -i 's/SDKProfile/PlatformProfile/' debian/tmp/usr/lib/eclipse/configuration/config.ini
	# Set a saner default file limit than "unlimited".
	echo 'osgi.bundlefile.limit=100' >> debian/tmp/usr/lib/eclipse/configuration/config.ini

=== debian/watch ===
version=3
# http://download.eclipse.org/technology/linuxtools/eclipse-build/
http://ftp-stud.fht-esslingen.de/pub/Mirrors/eclipse/technology/linuxtools/eclipse-build/eclipse-([\d\.]*)-src\.tar\.bz2
